Skip to content

List Reserved LoadBalancer IPs

GET
/api/v1/reserve_ips/k8s_ip/{service_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/k8s_ip/{service_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the reserved LoadBalancer IPs in the cluster’s IP pool - each IP’s ip_address, status (Available / Attached), reserve_id, the node it is attached to (if any), and reservation details. Also reports the customer’s IP reservation limit and current count. Use the cluster service_id.

service_id
required
integer

The cluster service_id, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data

Reserved LoadBalancer IPs.

Array<object>
object
ip_address
string
status
string
bought_at
string
vm_id
integer
nullable
vm_name
string
reserve_id
integer
reserved_type
string
floating_ip_attached_nodes
Array<object>
object
errors
object
message
string
is_limit_available
boolean
reserved_ip_details
object
customer_max_limit
integer
reserved_ips_count
integer

Example

{
"code": 200,
"data": [
{
"ip_address": "203.0.113.20",
"status": "Available",
"bought_at": "30-06-2026 13:11",
"vm_id": null,
"vm_name": "--",
"reserve_id": 22279,
"reserved_type": "KubernetesIP",
"floating_ip_attached_nodes": []
}
],
"message": "Success",
"is_limit_available": true,
"reserved_ip_details": {
"customer_max_limit": 10,
"reserved_ips_count": 2
}
}